﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ScriptPortal.Vegas;

namespace CCTest
{
    public partial class CCMainForm : UserControl
    {
        Vegas myVegas;
        public CCMainForm(Vegas vegas)
        {
            myVegas = vegas;

            InitializeComponent();
        }

        private void btnCountTracks_Click(object sender, EventArgs e)
        {
            int VidTracks = 0;
            int AudTracks = 0;

            foreach (Track myTrack in myVegas.Project.Tracks)
            {
                if (myTrack.IsAudio())
                {
                    AudTracks++;
                }
                else
                {
                    VidTracks++;
                }
            }
            lblTracks.Text = "Tracks: " + myVegas.Project.Tracks.Count;
            lblVideo.Text = "Video Tracks " + VidTracks;
            lblAudio.Text = "Audio Tracks " + AudTracks;
        }
    }
}
